Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IHyperlinkAction

    public interface IHyperlinkAction

Defines an interface that allows engine to pass hyperlink information to an emitter, if the emitter determines to customize the hyperlinks calculated in engine, or it wants to use a totally different hyperlink string

Because it is allowed to customize hyperlinks through emitters, hyperlink customization in presentation engine itself is not supported now. It could be added later if it deems necessary.

Field Summary
`static int` | `ACTION_BOOKMARK` bookmark action
`static int` | `ACTION_DRILLTHROUGH` drillthrough action
`static int` | `ACTION_HYPERLINK` hyperlink action

Method Summary
`java.lang.String` | `getBookmark()`
`IDrillThroughAction` | `getDrillThrough()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getHyperlink()`
`java.util.Map` | `getParameterBindings()`
`java.lang.String` | `getReportName()`
`java.util.Map` | `getSearchCriteria()`
`java.lang.String` | `getTargetWindow()`
`java.lang.String` | `getTooltip()`
`int` | `getType()`
`boolean` | `isBookmark()` Deprecated. replaced by IDrillThroughAction.isBookmark(); Return the bookmark type set in the drillthrough action. The return result indicated the target element is a toc or not.
`void` | `setBookmark(java.lang.String bookmark)`
`void` | `setBookmarkType(boolean isBookmark)`
`void` | `setDrillThrough(IDrillThroughAction drillThrough)`
`void` | `setDrillThrough(java.lang.String bookmark, boolean isBookmark, java.lang.String reportName, java.util.Map<java.lang.String,java.lang.Object> parameterBindings, java.util.Map searchCriteria, java.lang.String target, java.lang.String format, java.lang.String targetFileType)`
`void` | `setDrillThrough(java.lang.String bookmark, boolean isBookmark, java.lang.String reportName, java.util.Map parameterBindings, java.util.Map searchCriteria, java.lang.String target, java.lang.String format)` Deprecated.
`void` | `setHyperlink(java.lang.String hyperlink, java.lang.String target)`
`void` | `setReportName(java.lang.String reportName)`
`void` | `setTooltip(java.lang.String tooltip)`

Field Detail

### ACTION_HYPERLINK

    static final int ACTION_HYPERLINK

  hyperlink action

  See Also:
    Constant Field Values

### ACTION_BOOKMARK

    static final int ACTION_BOOKMARK

  bookmark action

  See Also:
    Constant Field Values

### ACTION_DRILLTHROUGH

    static final int ACTION_DRILLTHROUGH

  drillthrough action

  See Also:
    Constant Field Values

Method Detail

### getType

    int getType()

  Returns:
    the type of the hyperlink

### isBookmark

    boolean isBookmark()

  Deprecated. replaced by IDrillThroughAction.isBookmark(); Return the bookmark type set in the drillthrough action. The return result indicated the target element is a toc or not.

  Returns:
    `true`, the target element is a bookmark. `false`, the target element is indicated to be a toc.

### getBookmark

    java.lang.String getBookmark()

  Returns:
    the bookmark string (not the bookmark expression) when action type is bookmark or drillthrough, or null whe action type is hyperlink.

### getHyperlink

    java.lang.String getHyperlink()

  Returns:
    the action string that is calculated using the engine's default algorithm. valid for all three action types.

### getReportName

    java.lang.String getReportName()

  Returns:
    the report name if action type is drillthrough, null otherwise

### getParameterBindings

    java.util.Map getParameterBindings()

  Returns:
    a set of name/value pairs for running the report in a drillthrough link; null when the action type is not drillthrough, or no parameters are defined for the drillthrough report to run. In the future, when the drillthrough is against a report document, the parameter binding map is also null.

### getSearchCriteria

    java.util.Map getSearchCriteria()

  Returns:
    a set of name/value pairs for searching the report in a drillthrough link; null when the action type is not drillthrough, or no search criteria is used

### getFormat

    java.lang.String getFormat()

### getTargetWindow

    java.lang.String getTargetWindow()

  Returns:
    The name of a frame where a document is to be opened.

### setHyperlink

    void setHyperlink(java.lang.String hyperlink,
                      java.lang.String target)

### setReportName

    void setReportName(java.lang.String reportName)

### setBookmark

    void setBookmark(java.lang.String bookmark)

### setBookmarkType

    void setBookmarkType(boolean isBookmark)

### setDrillThrough

    void setDrillThrough(java.lang.String bookmark,
                         boolean isBookmark,
                         java.lang.String reportName,
                         java.util.Map parameterBindings,
                         java.util.Map searchCriteria,
                         java.lang.String target,
                         java.lang.String format)

  Deprecated.

  Parameters:
    `bookmark` -
    `isBookmark` -
    `reportName` -
    `parameterBindings` -
    `searchCriteria` -
    `target` -
    `format` -

### setDrillThrough

    void setDrillThrough(java.lang.String bookmark,
                         boolean isBookmark,
                         java.lang.String reportName,
                         java.util.Map<java.lang.String,java.lang.Object> parameterBindings,
                         java.util.Map searchCriteria,
                         java.lang.String target,
                         java.lang.String format,
                         java.lang.String targetFileType)

### getDrillThrough

    IDrillThroughAction getDrillThrough()

### setDrillThrough

    void setDrillThrough(IDrillThroughAction drillThrough)

### setTooltip

    void setTooltip(java.lang.String tooltip)

### getTooltip

    java.lang.String getTooltip()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.